Package org.apache.felix.http.base.internal.dispatch

## Class RequestDispatcherImpl

- java.lang.Object
- - org.apache.felix.http.base.internal.dispatch.RequestDispatcherImpl

All Implemented Interfaces:
  `javax.servlet.RequestDispatcher`

    public final class RequestDispatcherImpl
    extends Object
    implements javax.servlet.RequestDispatcher

Wrapper implementation for `RequestDispatcher`.

### Field Summary

### Fields inherited from interface javax.servlet.RequestDispatcher

`ERROR_EXCEPTION, ERROR_EXCEPTION_TYPE, ERROR_MESSAGE, ERROR_REQUEST_URI, ERROR_SERVLET_NAME, ERROR_STATUS_CODE, FORWARD_CONTEXT_PATH, FORWARD_MAPPING, FORWARD_PATH_INFO, FORWARD_QUERY_STRING, FORWARD_REQUEST_URI, FORWARD_SERVLET_PATH, INCLUDE_CONTEXT_PATH, INCLUDE_MAPPING, INCLUDE_PATH_INFO, INCLUDE_QUERY_STRING, INCLUDE_REQUEST_URI, INCLUDE_SERVLET_PATH`

### Constructor Summary

Constructors
`RequestDispatcherImpl​(@NotNull ServletResolution resolution, @NotNull RequestInfo requestInfo)` Create new dispatcher

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `forward​(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`
`void` `include​(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestDispatcherImpl

    public RequestDispatcherImpl​(@NotNull
                                 @NotNull ServletResolution resolution,
                                 @NotNull
                                 @NotNull RequestInfo requestInfo)

Create new dispatcher

Parameters:
  `resolution` - The resolution
  `requestInfo` - The request info

### Method Detail

#### forward

    public void forward​(javax.servlet.ServletRequest request,
                        javax.servlet.ServletResponse response)
                 throws javax.servlet.ServletException,
                        IOException

Specified by:
  `forward` in interface `javax.servlet.RequestDispatcher`
Throws:
  `javax.servlet.ServletException`
  `IOException`

#### include

    public void include​(javax.servlet.ServletRequest request,
                        javax.servlet.ServletResponse response)
                 throws javax.servlet.ServletException,
                        IOException

Specified by:
  `include` in interface `javax.servlet.RequestDispatcher`
Throws:
  `javax.servlet.ServletException`
  `IOException`